Create DM Template
curl --request POST \
--url https://www.catchthegoodones.com/api/v2/dm-templatesimport requests
url = "https://www.catchthegoodones.com/api/v2/dm-templates"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://www.catchthegoodones.com/api/v2/dm-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"template": {
"id": 1,
"name": "Intro message",
"messageBody": "Hi! I noticed you recently followed me. I'd love to connect.",
"createdAt": "2026-04-17T12:00:00.000Z",
"updatedAt": "2026-04-17T12:00:00.000Z"
}
}
{
"error": "You already have a template called 'Intro message'"
}
DM Templates
Create DM Template
Create a new DM template
POST
/
api
/
v2
/
dm-templates
Create DM Template
Creates a new DM template. Template names must be unique per user.
Headers
| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer ctgo_your_api_key_here |
Content-Type | Yes | application/json |
Body
| Field | Type | Required | Description |
|---|---|---|---|
name | string | Yes | Template name (1-100 characters). Must be unique. |
messageBody | string | Yes | Message content (1-2000 characters) |
Example
curl -X POST https://www.catchthegoodones.com/api/v2/dm-templates \
-H "Authorization: Bearer ctgo_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{"name": "Intro message", "messageBody": "Hi! I noticed you recently followed me. I'\''d love to connect."}'
Response
{
"template": {
"id": 1,
"name": "Intro message",
"messageBody": "Hi! I noticed you recently followed me. I'd love to connect.",
"createdAt": "2026-04-17T12:00:00.000Z",
"updatedAt": "2026-04-17T12:00:00.000Z"
}
}
{
"error": "You already have a template called 'Intro message'"
}
⌘I